libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
osmo_fr_dlc Struct Reference

`#include <frame_relay.h>`

## Data Fields
struct llist_head | list
struct osmo_fr_link * | link
uint16_t | dlci
bool | active
bool | add
bool | del
bool | state_send
int(* | rx_cb )(void *cb_data, struct msgb *msg)
void(* | status_cb )(struct osmo_fr_dlc *dlc, void *cb_data, bool active)
void * | cb_data

## Field Documentation

## ◆ active

bool osmo_fr_dlc::active

Referenced by dlc_set_active(), fr_dlc_dump_vty(), msgb_put_pvc_status(), osmo_fr_dlc_alloc(), osmo_fr_rx(), and osmo_fr_tx_dlc().

## ◆ add

bool osmo_fr_dlc::add

Referenced by check_link_state(), fr_dlc_dump_vty(), msgb_put_pvc_status(), osmo_fr_dlc_alloc(), parse_full_pvc_status(), parse_link_pvc_status(), rx_lmi_q933_status_enq(), and tx_lmi_q933_status().

## ◆ cb_data

void* osmo_fr_dlc::cb_data

Referenced by dlc_set_active(), fr_alloc_vc(), and osmo_fr_rx().

## ◆ del

bool osmo_fr_dlc::del

Referenced by check_link_state(), fr_dlc_dump_vty(), msgb_put_pvc_status(), parse_full_pvc_status(), parse_link_pvc_status(), rx_lmi_q933_status_enq(), and tx_lmi_q933_status().

## ◆ dlci

uint16_t osmo_fr_dlc::dlci

Referenced by dlc_set_active(), fr_dlc_dump_vty(), msgb_put_pvc_status(), osmo_fr_dlc_alloc(), osmo_fr_dlc_by_dlci(), osmo_fr_tx_dlc(), parse_full_pvc_status(), and parse_link_pvc_status().

## ◆ link

struct osmo_fr_link* osmo_fr_dlc::link

Referenced by check_link_state(), dlc_set_active(), fr_link_dump_vty(), link_set_failed(), osmo_fr_dlc_alloc(), osmo_fr_dlc_by_dlci(), osmo_fr_link_free(), osmo_fr_tx_dlc(), and rx_lmi_q933_status_enq().

## ◆ list

struct llist_head osmo_fr_dlc::list

Referenced by dlc_destroy(), osmo_fr_dlc_alloc(), and osmo_fr_dlc_free().

## ◆ rx_cb

int(* osmo_fr_dlc::rx_cb) (void *cb_data, struct msgb *msg)

Referenced by fr_alloc_vc(), and osmo_fr_rx().

## ◆ state_send

bool osmo_fr_dlc::state_send

Referenced by rx_lmi_q933_status_enq(), and tx_lmi_q933_status().

## ◆ status_cb

void(* osmo_fr_dlc::status_cb) (struct osmo_fr_dlc *dlc, void *cb_data, bool active)

Referenced by dlc_set_active(), and fr_alloc_vc().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/frame_relay.h